#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    long long q;
    cin>>q;
    for(long long i=0;i<q;i++){
        long long x1, y1, x2, y2, a, b;
        cin>>x1>>y1>>x2>>y2>>a>>b;
        long long x3=abs(x2-x1);
        long long y3=abs(y2-y1);
        if(x3>a || y3>b) cout<<0<<endl;
        else cout<<(a-x3+1)*(b-y3+1)<<endl;
    }
    return 0;
}
